-- |
-- Module:     Web.Page
-- Copyright:  (c) 2014 Ertugrul Soeylemez
-- License:    BSD3
-- Maintainer: Ertugrul Soeylemez <ertesx@gmx.de>
--
-- This package combines blaze-html, clay and jmacro into a
-- framework-agnostic library to generate web pages dynamically from
-- individual components.  It is inspired by Yesod's widgets, but is
-- more general, more powerful and can be used with other web
-- frameworks.
--
-- See the @README.md@ file for a full list of features and a quick
-- introduction.  More detailed documentation can be found in the
-- individual modules.

module Web.Page
    ( -- * Reexports
      module Web.Page.Render,
      module Web.Page.Widget,

      -- * External
      module Control.Monad.Writer.Strict
    )
    where

import Control.Monad.Writer.Strict
import Web.Page.Render
import Web.Page.Widget
