# -*-conf-*-

{ pkgs ? import <nixpkgs> { }, devel ? false }:

let hs = pkgs.haskellPackages;
    inherit (hs) cabal;

    develDepends = with hs; [
        wai
        warp
    ];
in

cabal.mkDerivation (self : rec {
    pname = "web-page";
    version = "0.1.0";
    isExecutable = false;
    isLibrary = true;
    preConfigure = ''rm -rf dist'';
    src = if devel then ./. else pkgs.fetchdarcs { url = ./.; };

    buildDepends = with hs; [
        blazeBuilder
        blazeHtml
        clay
        jmacro
        lens
        mtl
        Stream
        text
        vector
        wlPprintText
    ] ++ (if devel then develDepends else []);
})
